Bug 359211 - Duplicate packages listed in pirut
Duplicate packages listed in pirut
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 17:16 EDT by Andrew Gilmore
Modified: 2008-05-28 15:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of duplicate packages (68.86 KB, image/png)
2007-10-30 17:16 EDT, Andrew Gilmore
no flags Details
Entry for patchy is duplicated (358.38 KB, image/png)
2007-11-19 20:41 EST, Ben Lipton
no flags Details
Entry for perltidy is duplicated (358.82 KB, image/png)
2007-11-19 20:43 EST, Ben Lipton
no flags Details

  None (edit)
Description Andrew Gilmore 2007-10-30 17:16:51 EDT
Description of problem:
Package lists appear to be much longer than they should because packages are
often listed twice. 

I'll attach a screenshot of an example.
(see the d3lphin entries)

Version-Release number of selected component (if applicable):
1.3.25-2.f8

I've seen this many times.
Comment 1 Andrew Gilmore 2007-10-30 17:16:51 EDT
Created attachment 243851 [details]
screenshot of duplicate packages
Comment 2 Jeremy Katz 2007-10-30 17:36:21 EDT
What repos do you have configured?  Do you have the same repo set up multiple ways?
Comment 3 Andrew Gilmore 2007-11-04 22:43:45 EST
I've tested this with and without several other repositories, with and without
the presto enabled repository enabled.

No difference, shows up with current fedora and updates enabled, with just
"Development" enabled.

System is apparently completely up to date. yum update reports no packages to
update.

System was installed from F8 Test 3 Live CD, and updated from there.

Second dl3phin line is garbled when scrolled past and back to, but when a
screenshot is taken, the line is redrawn with the d3lphin package listing.

Comment 4 Ben Lipton 2007-11-19 20:41:47 EST
Created attachment 264131 [details]
Entry for patchy is duplicated

Duplicated patchy entry (in Development Tools)
Comment 5 Ben Lipton 2007-11-19 20:43:43 EST
Created attachment 264141 [details]
Entry for perltidy is duplicated

But, if I move the mouse around, I can make it change to other packages, such
as perltidy.
Comment 6 Alexei Podtelezhnikov 2008-01-03 06:22:03 EST
This is a pirut graphics rendering glitch due to some kind of race with 
alphabetic resorting on the fly. Scrolling up and down usually fixes it.

Pup, on the other hand, sometimes lists old packages along with updated ones, 
but that is a different story. 
Comment 7 G.Wolfe Woodbury 2008-01-15 04:44:21 EST
Still happening in the rawhide of 2008-01-14
It seems to be in about the same place near the front end of the list in _some_
of the categories.  Almost always affected is bochs (for example)

Since this is also used in the installer, I'd suggest that this needs some
prompt attention.
Comment 8 Bug Zapper 2008-05-13 23:48:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 petrosyan 2008-05-15 23:35:32 EDT
pirut has been removed from Fedora 9.
Comment 10 Jeremy Katz 2008-05-28 15:15:24 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.